# Changelog

## 📦 1.2.1 — (2023-06-07)

### 🐣 New Features
Introducing new features and capabilities. Some features must be activated or installed before they may be used.

* **Gutenmate plugin**: Update the Gutenmate plugin to version 1.3.1
  * **Decorated list block**: Fix block parsing

## 📦 1.2.0 — (2023-06-06)

### 🐣 New Features
Introducing new features and capabilities. Some features must be activated or installed before they may be used.

* **Gutenmate plugin**: Update the Gutenmate plugin to version 1.3.0
  * **About author block**: Resolved text decoration issue with icons in editor
  * **Icon link block**: Introducing variations for social network links
  * **Icons**: Added TikTok and Snapchat icons to the Basic icon set
  * **Recipe block**: Improve SEO
  * **Settings**: Fix WordPress notice on the settings page
  * **Webfont**: Update google fonts

### 🦄 Enhancements
The toplics listed below are an enhancement of the current settings or templates. It is not necessary to update, but it is preferable.

* **Templates**: Added compatibility with Gutenmate 1.2.0.
	All updated templates are as follows
	- (Template part) Popup – Entire site

## 📦 1.1.0 — (2023-01-08)

### 🐣 New Features
Introducing new features and capabilities. Some features must be activated or installed before they may be used.

* **Gutenmate plugin**: New blocks for inserting advertisement code.
* **Gutenmate plugin**: New options for advertisement at `Admin > Gutenmate > Advertisement`.
* **Gutenmate plugin**: New options for inserting a custom scripts and styles at `Admin > Gutenmate > Custom Scripts` and `Admin > Gutenmate > Custom Styles`.
* **Gutenmate plugin**: Support [AMP official plugin](https://wordpress.org/plugins/amp/) and a custom AMP templates. All features that related to AMP is require this plugin. Please read theme's documentation for setting up AMP plugin.
* **Templates**: Add new template for AMP pages.
	All added templates are as follows
	- (Template part) AMP – Page
	- (Template part) AMP – Single Post


### 🐝 Changes
The topics listed below have an impact on the current settings or templates. If they are related, you should consider checking and updating for this version.
* **Gutenmate plugin**: Update the Gutenmate plugin to version 1.1.0. Navigate to `Admin > Appearance > Install Plugins` to update the plugin. This update is required for some new features and enhancements.
* **Templates**: Remove header-large template part since it is under development.
	All removed templates are as follows
	- (Template part) Header – Large


### 🦄 Enhancements
The toplics listed below are an enhancement of the current settings or templates. It is not necessary to update, but it is preferable.
* **Templates**: Use H1 tag in post/page title for better SEO
	All updated templates are as follows
	- (Template part) Single post – Footer
	- (Template part) Single page – One column
	- (Template part) Single page – Split header
	- (Template part) Single page – Cover
	- (Template part) Single post – Split header
	- (Template part) Single post – Right sidebar
	- (Template part) Single post – One column
	- (Template part) Single post – Hero
	- (Template part) Single post – Cover
* **Templates**: Rewrite caption of subscription form for better GDPR compliance
	All updated templates are as follows
	- (Template) Search
	- (Template part) Archive - 2 Columns grid
	- (Template part) Archive - 3 Columns grid
	- (Template part) Home - Cafe
	- (Template part) Home - Cookbook
	- (Template part) Home – Main
	- (Template part) Home - Recipe blog
	- (Template part) Single post - Footer
* **Templates**: Add Adblock-warning popup block. Enable this feature at `Admin > Gutenmate > Advertisement > 
Enable Ad-block Detector`.
	All updated templates are as follows
	- (Template part) Popup – Entire site
	- (Template part) Popup – Single post
* **Templates**: Update the yellow-circle icon blocks to support AMP pages.
	All updated templates are as follows
	- (Template part) Nutrition
	- (Template part) Recipe
* **Templates**: Add Ad blocks for initial use.
	All updated templates are as follows
	- (Template part) Archive – 2 Columns grid
	- (Template part) Archive – 3 Columns grid
	- (Template part) Header
	- (Template part) Header – Tiny
	- (Template part) Home – Cafe
	- (Template part) Home – Cookbook
	- (Template part) Home – Main
	- (Template part) Home – Recipe blog
	- (Template part) Sidebar
	- (Template part) Single post – Cover
	- (Template part) Single post – Footer
	- (Template part) Single post – Hero
	- (Template part) Single post – One column
	- (Template part) Single post – Right sidebar
	- (Template part) Single post – Split header
* **Settings**: Remove unused font sizes for reducing the css size of AMP pages.


## 📦 1.0.0 — (2022-11-15)

* **initial-release**