<?php

function gtm_extend_core_query_block( $metadata ) {
	if ( $metadata['name'] == 'core/query' ) {
		$metadata['providesContext']['gtmQueryFilter']    = 'gtmQueryFilter';
		$metadata['providesContext']['gtmQueryLimitDays'] = 'gtmQueryLimitDays';
		$metadata['providesContext']['gtmQueryUseRandom'] = 'gtmQueryUseRandom';
		$metadata['providesContext']['gtmQuerySlug']      = 'gtmQuerySlug';
	}

	return $metadata;
};
add_filter( 'block_type_metadata', 'gtm_extend_core_query_block' );

/**
 * To support preview in editor
 */

add_filter( "rest_post_query", 'gtm_extend_rest_post_query', 10, 2 );
function gtm_extend_rest_post_query( $args, $request ) {
	return gtm_apply_extended_query_filters( $args, [
		'gtmQueryFilter'    => sanitize_key( $_GET['gtmQueryFilter'] ?? '' ),
		'gtmQueryLimitDays' => intval( $_GET['gtmQueryLimitDays'] ?? 0 ),
		'gtmQueryUseRandom' => boolval( $_GET['gtmQueryUseRandom'] ?? false ),
		'gtmQuerySlug'      => sanitize_key( $_GET['gtmQuerySlug'] ?? '' ),
	] );
}
