<?php

/**
 * Add links to setting page in the plugin listing
 */
add_filter( 'plugin_action_links', 'gtm_add_plugin_settings_link', 10, 2 );
function gtm_add_plugin_settings_link( $links, $file ) {
	if ( strpos( $file, 'gutenmate' ) !== false ) {
		array_unshift(
			$links,
			'<a href="' . esc_url( admin_url( 'admin.php?page=gutenmate_settings' ) ) . '">' . esc_html__( 'Settings', 'gutenmate' ) . '</a>'
		);
	}

	return $links;
}
