<?php
defined( 'GTM_DEFAULT_ASD_ENABLE_DETECTOR' ) || define( 'GTM_DEFAULT_ASD_ENABLE_DETECTOR', false );

/**
 * Setup ads assets
 */
add_action( 'init', 'gtm_setup_ads_block_assets', 20 );
function gtm_setup_ads_block_assets() {
	// This JS file name will trigger uBlockOrigin
	wp_register_script( 'gutenmate-ads-adsense', GTM_LIB_URL . 'asd/ads-728x90.js', [], GTM_VERSION, true );
	wp_register_script( 'gutenmate-asd-detector', GTM_LIB_URL . 'asd/detector.js', ['gutenmate-ads-adsense'], GTM_VERSION, true );

}

add_action( 'wp_enqueue_scripts', 'gtm_inject_ads_block_detector' );
function gtm_inject_ads_block_detector() {
	if ( get_option( 'gtm_asd_enable_detector', GTM_DEFAULT_ASD_ENABLE_DETECTOR ) ) {
		// Insert detector
		wp_enqueue_script( 'gutenmate-asd-detector' );
	}
}
