let detectedClass = "gtm-asd-block-detected";

function run() {
	if (!window.gtm_asd_loaded) {
		document.body.classList.add(detectedClass);

		// Fire event for extendibility
		const onasdblockdetected = new CustomEvent("onasdblockdetected", {
			detail: {},
			bubbles: false,
			cancelable: false,
			composed: false,
		});
		document.body.dispatchEvent(onasdblockdetected);
	}
}

if (document.readyState != "loading") {
	// in case the document is already rendered
	run();
} else {
	// modern browsers
	document.addEventListener("DOMContentLoaded", run);
}
