export const scrollUpClass = "gtm-scrolling-up";
export const scrollDownClass = "gtm-scrolling-down";

const scrollDirectionDetector = (e) => {
	if (window.pageYOffset >= prevOffset) {
		scrollingDown = true;
	} else {
		scrollingDown = false;
	}

	document.body.classList.toggle(scrollUpClass, !scrollingDown);
	document.body.classList.toggle(scrollDownClass, scrollingDown);

	prevOffset = window.pageYOffset;
};

/**
 * Self registration
 */

let prevOffset = null;
let scrollingDown = false;

if (prevOffset === null) {
	prevOffset = window.pageYOffset;

	window.addEventListener("scroll", scrollDirectionDetector, {
		passive: true,
		capture: true,
	});

	// Trigger for current inview items at page load
	window.addEventListener("DOMContentLoaded", scrollDirectionDetector);
}
