import "./gutenmate-inview.scss";
import "./_scroll-direction";
import { initStickyHeader } from "./_sticky-header";

const onReady = () => {
	initStickyHeader();
};

if (document.readyState === "complete") {
	// Document already fully loaded
	onReady();
} else {
	// Add event listener for DOMContentLoaded (fires when document is fully loaded)
	document.addEventListener("DOMContentLoaded", onReady);
}
