"use strict";

function onReady() {
	const dismiss = document.querySelector(
		"#gtm-require-gutenberg-admin-notice .notice-dismiss"
	);

	if (dismiss) {
		dismiss.addEventListener(
			"click",
			function (e) {
				fetch(ajaxurl, {
					method: "POST",
					headers: {
						Accept: "application/json",
						"Content-Type": "application/json",
					},
					body: JSON.stringify({
						action: "gtm_dismiss_require_gutenberg_notice",
					}),
				});
			},
			false
		);
	}
}

// Detecting onReady
if (document.readyState === "loading") {
	document.addEventListener("DOMContentLoaded", onReady);
} else {
	onReady();
}
