<?php

register_activation_hook( GTM_BASE, 'gtm_restore_default_preset_on_activate' );
function gtm_restore_default_preset_on_activate() {
	if ( get_option( 'gtm_presets', false ) === false ) {
		gtm_restore_default_preset();
	}
}

function gtm_restore_default_preset() {
	update_option( 'gtm_presets', gtm_get_restore_default_preset() );
}

function gtm_get_restore_default_preset() {
	$preset_default = [
		[
			'slug'       => '_gutenmate-basic',
			'name'       => 'Basic',
			'removable'  => false,
			'default'    => true,
			'fontSizes'  => [],
			'typography' => [],
			'spacing'    => [],
		],
	];

	return $preset_default;
}
